Package org.jbpm.marshalling.impl

## Interface JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder

- All Superinterfaces:
    `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`
  All Known Implementing Classes:
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode`, `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder`
  Enclosing class:
    JBPMMessages.ProcessInstance.NodeInstanceContent

      public static interface JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry` | `getMapEntry​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `int` | `getMapEntryCount()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `List<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry>` | `getMapEntryList()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder` | `getMapEntryOrBuilder​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `List<? extends JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder>` | `getMapEntryOrBuilderList()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `String` | `getRuleFlowGroup()` | `optional string rule_flow_group = 3;`
    `com.google.protobuf.ByteString` | `getRuleFlowGroupBytes()` | `optional string rule_flow_group = 3;`
    `long` | `getTimerInstanceId​(int index)` | `repeated int64 timer_instance_id = 1;`
    `int` | `getTimerInstanceIdCount()` | `repeated int64 timer_instance_id = 1;`
    `List<Long>` | `getTimerInstanceIdList()` | `repeated int64 timer_instance_id = 1;`
    `boolean` | `hasRuleFlowGroup()` | `optional string rule_flow_group = 3;`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### getTimerInstanceIdList

          List<Long> getTimerInstanceIdList()

      `repeated int64 timer_instance_id = 1;`
      Returns:
        A list containing the timerInstanceId.

    - #### getTimerInstanceIdCount

          int getTimerInstanceIdCount()

      `repeated int64 timer_instance_id = 1;`
      Returns:
        The count of timerInstanceId.

    - #### getTimerInstanceId

          long getTimerInstanceId​(int index)

      `repeated int64 timer_instance_id = 1;`
      Parameters:
        `index` - The index of the element to return.
      Returns:
        The timerInstanceId at the given index.

    - #### getMapEntryList

          List<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry> getMapEntryList()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

    - #### getMapEntry

          JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry getMapEntry​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

    - #### getMapEntryCount

          int getMapEntryCount()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

    - #### getMapEntryOrBuilderList

          List<? extends JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder> getMapEntryOrBuilderList()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

    - #### getMapEntryOrBuilder

          JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder getMapEntryOrBuilder​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

    - #### hasRuleFlowGroup

          boolean hasRuleFlowGroup()

      `optional string rule_flow_group = 3;`
      Returns:
        Whether the ruleFlowGroup field is set.

    - #### getRuleFlowGroup

          String getRuleFlowGroup()

      `optional string rule_flow_group = 3;`
      Returns:
        The ruleFlowGroup.

    - #### getRuleFlowGroupBytes

          com.google.protobuf.ByteString getRuleFlowGroupBytes()

      `optional string rule_flow_group = 3;`
      Returns:
        The bytes for ruleFlowGroup.